com.mysql.cj.util

## Class DnsSrv.SrvRecord

- java.lang.Object
- - com.mysql.cj.util.DnsSrv.SrvRecord

All Implemented Interfaces:
  Comparable<DnsSrv.SrvRecord>

Enclosing class:
  DnsSrv

    public static class DnsSrv.SrvRecord
    extends Object
    implements Comparable<DnsSrv.SrvRecord>

### Field Summary

Fields
`private int` `port`
`private int` `priority`
`private String` `target`
`private int` `weight`

### Constructor Summary

Constructors
Constructor and Description
`SrvRecord(int priority, int weight, int port, String target)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DnsSrv.SrvRecord` `buildFrom(String srvLine)`
`int` `compareTo(DnsSrv.SrvRecord o)`
`int` `getPort()`
`int` `getPriority()`
`String` `getTarget()`
`int` `getWeight()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### priority

    private final int priority

#### weight

    private final int weight

#### port

    private final int port

#### target

    private final String target

### Constructor Detail

#### SrvRecord

    public SrvRecord(int priority,
                     int weight,
                     int port,
                     String target)

### Method Detail

#### buildFrom

    public static DnsSrv.SrvRecord buildFrom(String srvLine)

#### getPriority

    public int getPriority()

#### getWeight

    public int getWeight()

#### getPort

    public int getPort()

#### getTarget

    public String getTarget()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### compareTo

    public int compareTo(DnsSrv.SrvRecord o)

Specified by:
  `compareTo` in interface `Comparable<DnsSrv.SrvRecord>`

Copyright © 2016, 2024, Oracle and/or its affiliates.